Subject: [bug#66298] [PATCH] gnu: emacs-buttercup: Fix native comp tests with emacs-next.

From: Hilton Chain <[email-masked]>
Date: Tue, 03 Oct 2023 21:03:14 +0800

On Mon, 02 Oct 2023 21:27:18 +0800,
Nicolas Graves wrote:
> 
> On 2023-10-02 21:04, Hilton Chain wrote:
> 
> > Hi Nicolas,
> >
> > On Mon, 02 Oct 2023 04:12:15 +0800,
> > Nicolas Graves via Guix-patches via wrote:
> >>
> >> * gnu/packages/emacs-xyz.scm (emacs-buttercup): Add patch emacs-buttercup-fix-native-comp-pretty-test.
> >> * gnu/packages/patches/emacs-buttercup-fix-native-comp-pretty-test.patch: Add
> >> file.
> >> ---
> >
> > With the patch applied, I'm getting the same error when without it from:
> > $ guix build emacs-buttercup --with-input=emacs-minimal=emacs-next-minimal
> >
> > Is this true for you? 🤔
> >
> > Thanks
> 
> You're right Hilton, for some reason I thought it worked (I did put
> emacs-next in native-inputs and propagated-inputs), but it seems that
> when I try it your command, it doesn't work. I guess we'd better
> revert the patch and continue to investigate.

OK, commit reverted in a71232b2c51b38bd2335e209344aa0cbfd192969.